# -*- coding: utf-8 -*-
""" Frankhood >  fhcore.apps.facebook.admin
    @author: Frankhood Business Solutions
    @author: Gaetano D'Onghia
"""
from __future__ import absolute_import, print_function, unicode_literals
from django.contrib import admin

from django.utils.translation import ugettext_lazy as _


class AccountBaseMixinAdmin(admin.ModelAdmin):
    """
    da spostare in fhcore
    """
    list_display = ['username', 'email', 'first_name', 'last_name', 'personal_data', ]
    list_filter = ['personal_data',]
    search_fields = ['username', "email", 'first_name', 'last_name', "id_attribute", "id" ]
    list_editable = ['first_name', "last_name", 'email']
    fieldsets = ((_('Dati sensibili'), {'fields': (
                                                   ('first_name', 'last_name', 'username'),
                                                   ('email', 'personal_data'),
                                                  )}),)

class AccountAdvancedMixinAdmin(AccountBaseMixinAdmin):
    """
    da spostare in fhcore
    """
    fieldsets = ((_('Dati sensibili'), {'fields': (
                                                   ('first_name', 'last_name', 'username'),
                                                   ('email', 'personal_data'),
                                                  )}),
                 (_('Dati aggiuntivi'), {'fields': (
                                                   ('gender', 'phone'),
                                                   ('birthdate', 'avatar'),
                                                  )}),)

class PlayerAdmin(AccountAdvancedMixinAdmin):
    """
    da spostare in fhcore
    """
    fieldsets = ((_('Facebook or Site'), {'fields':(
                                                    ('type', 'id_attribute'),
                                                    ('user', ),
                                                )}),
                 (_('Dati sensibili'), {'fields':(
                                                   ('first_name', 'last_name', 'username'),
                                                   ('email', 'personal_data'),
                                                )}),
                 (_('Dati aggiuntivi'), {'fields':(
                                                   ('gender', 'phone'),
                                                   ('birthdate', 'avatar'),
                                                )}),)


    def get_readonly_fields(self, request, obj=None):
        if obj:
            return ('id_attribute', 'username', 
                    #'first_name', 'last_name', 
                    #'email', 'phone', 'personal_data',
                    #'birthdate'
                    )
        else:
            return super(PlayerAdmin,self).get_readonly_fields(request, obj)


