# -*- coding: utf-8 -*-
from __future__ import absolute_import, unicode_literals

from django.conf import settings
from django.contrib.sessions.middleware import SessionMiddleware
from django.utils.importlib import import_module


class MiddlewareResponseInjectP3P(object):
    
    P3P_COMPACT = 'CP=HONK'
    
    def __init__(self):
        self.process_response = self.inject

    def inject(self, request, response):
        response['P3P'] = self.P3P_COMPACT
        response['p3p'] = self.P3P_COMPACT
        return response


class SessionMiddlewareWithSSID(SessionMiddleware):
    
    ssid_key = "ssid"
    only_safari = True
    
    def process_request(self, request):
        engine = import_module(settings.SESSION_ENGINE)
        patched = False
        session_key = request.COOKIES.get(settings.SESSION_COOKIE_NAME, None)
        if not session_key:
            # Controllo se il browser è safari, nel caso lo "patcho"
            if not self.only_safari or request.META.get('HTTP_USER_AGENT', '').find('Safari') != -1:
                # PATCH per accesso a request.body
                request.body
                session_key = request.REQUEST.get(self.ssid_key, 'createnewsession')
                patched = True
            else:
                # PATCH per accesso a request.body
                request.body
                session_key = request.REQUEST.get(self.ssid_key, 'createnewsession')
        request.session = engine.SessionStore(session_key)
        request.session.iframe_patched = patched
