# -*- coding: utf-8 -*-
""" SEO MODULE > ADMIN
    @author: Domenico Lamparelli <domenico@frankhood.it> 
    @author: Nicola Mosca <nico@frankhood.it>
"""
from django.contrib import admin
from django.contrib.contenttypes.generic import GenericStackedInline, GenericTabularInline

from fhcore.admin.base import BaseModelAdmin
from .models import SEODataHook, SEOData
from .forms import SEODataHookForm

class SeoDataAdminMixin(object):

    model = SEODataHook
    form = SEODataHookForm    
    max_num = 1
    extra = 1
    
class SeoDataStackedAdmin(SeoDataAdminMixin, admin.StackedInline):
    pass

class SeoDataTabularAdmin(SeoDataAdminMixin, admin.TabularInline):
    pass

class SeoDataGenericStackedAdmin(SeoDataAdminMixin, GenericStackedInline):
    pass

class SeoDataGenericTabularAdmin(SeoDataAdminMixin, GenericTabularInline):
    pass

class SEODataAdmin(BaseModelAdmin):

    list_display = ('related_id', 'page_title')
    fieldsets = ((None, {'fields': ('related_id', 'page_title', 'description', 'keywords')}),)

admin.site.register(SEOData, SEODataAdmin)