# -*- coding: utf-8 -*-
""" SEO MODULE > FORMS
    @author: Domenico Lamparelli <domenico@frankhood.it> 
    @author: Nicola Mosca <nico@frankhood.it>
"""
from django import forms
from .models import SEODataHook

class SEODataHookForm(forms.ModelForm):
    
    class Meta:
        model = SEODataHook
    
    def __init__(self, *args, **kwargs):
        self.base_fields['page_title'].widget.attrs.update({'style':'width:80%'})
        self.base_fields['keywords'].widget.attrs.update({'style':'height:40px; width:80%'})
        self.base_fields['description'].widget.attrs.update({'style':'height:40px; width:80%'}) 
        super(SEODataHookForm, self).__init__(*args, **kwargs)
    