# -*- coding: utf-8 -*-
"""  fhcore.management.commands.update_contenttypes_names.py   
    @author: Frankhood Business Solutions
    @date : 02/apr/2013
"""
import datetime
import os
from django.conf import settings
from django.core.management.base import BaseCommand


class Command(BaseCommand):
    
    def handle(self, *args, **options):
        """
        When a new model is registered, the verbose_name becomes the model_name of ContentType table
        If you update the verbose_name you can change the model_name launching this function
        """
        from django.contrib.contenttypes.models import ContentType
        from django.utils.functional import Promise
    
        for c in ContentType.objects.all():
            cl = c.model_class()
            # Promises classes are from translated, mostly django-internal models. ignore them.
            if cl and not isinstance(cl._meta.verbose_name, Promise):
                new_name = cl._meta.verbose_name
                if c.name != new_name:
                    print u"Updating ContentType's name: '%s' -> '%s'" % (c.name, new_name)
                    c.name = new_name
                    c.save()

"""
Si può legarlo ad ogni migrate tramite  il seguente comando e la dichiarazione del comando come funzione...
post_migrate.connect(update_contenttypes_names, dispatch_uid="update_contenttypes")
"""